// XDlg2.h : header file

#ifndef	__XDLG2_H
	#define __XDLG2_H

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif
//

/////////////////////////////////////////////////////////////////////////////
// CXDlg2 dialog

class CXDlg2 : public CFileDialog
{
	DECLARE_DYNAMIC(CXDlg2)

public:
	CString m_szPathName;
	void	SetOKButtonText(CString szText);
	CString m_OKButtonText;
	int		DoModal();
	virtual	~CXDlg2();

	CXDlg2(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter = NULL,
		CWnd* pParentWnd = NULL);

	virtual BOOL OnFileNameOK(void);

// Dialog Data
	//{{AFX_DATA(CXDlg2)
	enum { IDD = IDD_XFDLG2 };
	CComboBox	m_CtrlMRUList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXDlg2)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual void OnInitDone();

	// Generated message map functions
	//{{AFX_MSG(CXDlg2)
	afx_msg void OnSelchangeMRUList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	TCHAR*	m_pszFileName;

private:
	BOOL	m_bMultiSelect;
	void	FillCombo(void);
	void	PushFolder(CString* pszPath);
	BOOL	m_bOKText;
};

#endif
